"use strict";
var common_vendor = require("../../common/vendor.js");
var api_modules_ZhouYi = require("../../api/modules/ZhouYi.js");
var utils_common = require("../../utils/common.js");
require("../../utils/request.js");
require("../../config/api.config.js");
require("../../stores/modules/rateLimit.js");
if (!Array) {
  const _easycom_wd_text2 = common_vendor.resolveComponent("wd-text");
  const _easycom_wd_col2 = common_vendor.resolveComponent("wd-col");
  const _easycom_wd_row2 = common_vendor.resolveComponent("wd-row");
  (_easycom_wd_text2 + _easycom_wd_col2 + _easycom_wd_row2)();
}
const _easycom_wd_text = () => "../../uni_modules/wot-design-uni/components/wd-text/wd-text.js";
const _easycom_wd_col = () => "../../uni_modules/wot-design-uni/components/wd-col/wd-col.js";
const _easycom_wd_row = () => "../../uni_modules/wot-design-uni/components/wd-row/wd-row.js";
if (!Math) {
  (NavBar + _easycom_wd_text + _easycom_wd_col + _easycom_wd_row)();
}
const NavBar = () => "../../components/NavBar.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "home",
  setup(__props) {
    const list = common_vendor.ref([]);
    const \u4E0A\u7ECF = common_vendor.ref([]);
    const \u4E0B\u7ECF = common_vendor.ref([]);
    api_modules_ZhouYi.getZhouList().then((res) => {
      list.value = res.data;
      \u4E0A\u7ECF.value = list.value.filter((item) => item.index >= 1 && item.index <= 30);
      \u4E0B\u7ECF.value = list.value.filter((item) => item.index >= 31 && item.index <= 64);
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          title: "\u9605\u8BFB"
        }),
        b: common_vendor.p({
          text: "\u4E0A\u7ECF",
          size: "36rpx",
          bold: true,
          color: "#333"
        }),
        c: list.value.length
      }, list.value.length ? {
        d: common_vendor.f(\u4E0A\u7ECF.value, (item, index, i0) => {
          return {
            a: "087d42bb-4-" + i0 + "," + ("087d42bb-3-" + i0),
            b: common_vendor.p({
              text: item.symbol,
              size: "90rpx",
              color: "#333"
            }),
            c: "087d42bb-5-" + i0 + "," + ("087d42bb-3-" + i0),
            d: common_vendor.p({
              text: item.name,
              bold: true,
              size: "28rpx",
              color: "#333"
            }),
            e: common_vendor.o(($event) => common_vendor.unref(utils_common.goTo)("/pages/ZhouYi/detail?id=" + item.documentId)),
            f: index,
            g: "087d42bb-3-" + i0 + ",087d42bb-2"
          };
        }),
        e: common_vendor.p({
          span: 6
        })
      } : {}, {
        f: common_vendor.p({
          text: "\u4E0B\u7ECF",
          size: "36rpx",
          bold: true,
          color: "#333"
        }),
        g: list.value.length
      }, list.value.length ? {
        h: common_vendor.f(\u4E0B\u7ECF.value, (item, index, i0) => {
          return {
            a: "087d42bb-9-" + i0 + "," + ("087d42bb-8-" + i0),
            b: common_vendor.p({
              text: item.symbol,
              size: "90rpx",
              color: "#333"
            }),
            c: "087d42bb-10-" + i0 + "," + ("087d42bb-8-" + i0),
            d: common_vendor.p({
              text: item.name,
              bold: true,
              size: "28rpx",
              color: "#333"
            }),
            e: common_vendor.o(($event) => common_vendor.unref(utils_common.goTo)("/pages/ZhouYi/detail?id=" + item.documentId)),
            f: index,
            g: "087d42bb-8-" + i0 + ",087d42bb-7"
          };
        }),
        i: common_vendor.p({
          span: 6
        })
      } : {});
    };
  }
});
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-087d42bb"], ["__file", "D:/\u7F51\u6291\u4E91Time/\u79C1\u6D3B/2000\u7B97\u5366/src/pages/home/home.vue"]]);
wx.createComponent(Component);
